Re-enable indicator support in empathy (Artful)

Bug #1712535 reported by Khurshid Alam on 2017-08-23
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
empathy (Ubuntu)
Undecided
Unassigned

Bug Description

According the https://didrocks.fr/2017/08/23/ubuntu-gnome-shell-in-artful-day-7/ appindicator is now supported in shell/unity.

The following patches had been removed from empathy:

1) 23_idomessagedialog_for_voip_and_ft.patch

2) 41_unity_launcher_progress.patch

3) 43_quicklists.patch

4) 10_use_notify_osd_icons.patch

1 is necessary for indicator to work properly, there is no harm to add back 2,3, & 4 as Unity is supported in artful.

It would also require to add back indicator in empathy.install

--- a/debian/empathy.install
+++ b/debian/empathy.install

  usr/bin/
  usr/lib/empathy/*.so
  usr/lib/empathy/empathy-*
  usr/share/man/man1/
  usr/share/appdata/
  usr/share/applications/
  usr/share/dbus-1/services/
  usr/share/telepathy/clients/
  usr/share/GConf/gsettings/empathy.convert
  usr/share/glib-2.0/schemas/org.gnome.Empathy.gschema.xml
  usr/share/glib-2.0/schemas/org.gnome.telepathy-account-widgets.gschema.xml
+ debian/indicators/empathy /usr/share/indicators/messages/applications/

Changed in empathy (Ubuntu):
status: New → Confirmed
Ken VanDine (ken-vandine) wrote :

Those patches wouldn't actually provide libappindicator support needed for the gnome-shell extension. Those patches provided integration with the messaging indicator and unity. Not the application indicator. I'd really like to see a messaging indicator extension for gnome-shell, similar to appindicator, at some point.

Jeremy Bicha (jbicha) wrote :

Ken said that he didn't think the 23_idomessagedialog_for_voip_and_ft.patch is needed?

https://irclogs.ubuntu.com/2017/10/10/%23ubuntu-desktop.html#t15:34

Jeremy Bicha (jbicha) wrote :

I have made the changes you requested except for restoring the 23 patch and I uploaded to the unapproved queue for Ubuntu 17.10.

Changed in empathy (Ubuntu):
status: Confirmed → Fix Committed
Khurshid Alam (khurshid-alam) wrote :

Thanks Jeremy.

@Ken

There is a messaging-menu for shell: https://extensions.gnome.org/extension/519/messaging-menu/ which works fine (you only need to bump the version for metadata.json). May be Ubuntu can take the code and work on it.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package empathy - 3.25.90+really3.12.14-0ubuntu1

---------------
empathy (3.25.90+really3.12.14-0ubuntu1) artful; urgency=medium

  * Revert to 3.12.14 per upstream recommendation (LP: #1722583)
  * Restore indicator support and patches (LP: #1712535)
    - debian/control
    - debian/empathy.install
    - 10_use_notify_osd_icons.patch
    - 41_unity_launcher_progress.patch
    - 43_quicklists.patch

 -- Jeremy Bicha <email address hidden> Wed, 11 Oct 2017 10:19:38 -0400

Changed in empathy (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) wrote :

Khurshid, Ken might not be subscribed to this bug. Maybe you can email the Ubuntu Desktop team list about it?

Ken VanDine (ken-vandine) wrote :

I hadn't seen the messaging menu extension, I'll play with it a bit. Thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers